Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.viewController
Class AbstractAnnotationsViewControllerManager

    java.lang.Object
      org.apache.myfaces.orchestra.viewController.AbstractViewControllerManager
          org.apache.myfaces.orchestra.viewController.AbstractAnnotationsViewControllerManager

All Implemented Interfaces:
  ViewControllerManager

Direct Known Subclasses:
  AnnotationsViewControllerManager, PlainAnnotationsViewControllerManager

    public abstract class AbstractAnnotationsViewControllerManager

extends AbstractViewControllerManager

A `ViewControllerManager` implementation which uses annotations on backing beans to determine the beans responsible for a given view and execute the appropriate annotated methods.

When using Spring, every bean declaration in the spring config files is checked to see if the referenced class has annotations, and if so that information is cached. Here, that information is then used to locate a bean which has a ViewController annotation that references the current view.

See also org.apache.myfaces.orchestra.viewController.annotations.*.

See Also:
  `ViewControllerManager`

Field Summary

Fields inherited from interface org.apache.myfaces.orchestra.viewController.ViewControllerManager
`VIEW_CONTROLLER_MANAGER_NAME`

Constructor Summary
`AbstractAnnotationsViewControllerManager()`

Method Summary
`void` | `assertConversationState(java.lang.String viewId)` Check whether any conversations required for the specified view currently exist.
`AnnotationInfoManager` | `getAnnotationInfoManager()`
`abstract void` | `initManager()`
`void` | `setAnnotationInfoManager(AnnotationInfoManager annotationInfoManager)`

Methods inherited from class org.apache.myfaces.orchestra.viewController.AbstractViewControllerManager
`executeInitView, executePreProcess, executePreRenderView, getViewController, getViewControllerExecutor, getViewControllerName, getViewControllerNameMapper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAnnotationsViewControllerManager

    public AbstractAnnotationsViewControllerManager()

Method Detail

### initManager

    public abstract void initManager()

### setAnnotationInfoManager

    public void setAnnotationInfoManager(AnnotationInfoManager annotationInfoManager)

### getAnnotationInfoManager

    public AnnotationInfoManager getAnnotationInfoManager()

### assertConversationState

    public void assertConversationState(java.lang.String viewId)

  Description copied from interface: `ViewControllerManager`
  Check whether any conversations required for the specified view currently exist.

  TODO: Consider renaming this method. It is very Orchestra-specific, although this ViewController framework is supposed to be generic. In fact this method is really just a "validate view" hook, and one of the validations that can be hooked in here is a conversation-check.

  Specified by:
    `assertConversationState` in interface `ViewControllerManager`
  Overrides:
    `assertConversationState` in class `AbstractViewControllerManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.